python-mmkeys_1.6.2.1-6_amd64.deb


Advertisement

Description

python-mmkeys - Multimedia key support as a PyGTK object

Distribution: Ubuntu 16.04 LTS (Xenial Xerus)
Repository: Ubuntu Universe amd64
Package name: python-mmkeys
Package version: 1.6.2.1
Package release: 6
Package architecture: amd64
Package type: deb
Installed size: 58 B
Download size: 8.26 KB
Official Mirror: archive.ubuntu.com
This module lets you access multimedia keys found on most new keyboards from Python; most important it grabs all input events so your program doesn't need to be in focus when the key is pressed (which is the usual behavior of the keys). You still need something like Acme or xmodmap to map the keys before using them.

Alternatives

Provides

  • python2.7-mmkeys

Replaces

  • sonata << 1.4

    Download

    Source package: sonata

    Install Howto

    1. Update the package index:
      # sudo apt-get update
    2. Install python-mmkeys deb package:
      # sudo apt-get install python-mmkeys

    Files

    • /usr/lib/python2.7/dist-packages/mmkeys.so
    • /usr/share/doc/python-mmkeys/README
    • /usr/share/doc/python-mmkeys/changelog.Debian.gz
    • /usr/share/doc/python-mmkeys/copyright

    Changelog

    2014-02-23 - Javi Merino <vicho@debian.org> sonata (1.6.2.1-6) unstable; urgency=low [ Javi Merino ] * Add my DD account * Bump standards-version to 3.9.5 (no change needed) * Acknowledge NMU * Add a Keywords entry to the .desktop file [ Jakub Wilk ] * Use canonical URIs for Vcs-* fields. [ Jackson Doak ] * Bump debhelper to 9 (partitally enables hardening)

    2014-01-25 - Stephen Kitt <skitt@debian.org> sonata (1.6.2.1-5.1) unstable; urgency=medium * Non-maintainer upload. * Fix "missing crossfade in status breaks sonata (mpd >=0.18)" by applying the patch provided by Mattia Dongili. (Closes: #728704.)

    2011-10-16 - Javi Merino <cibervicho@gmail.com> sonata (1.6.2.1-5) unstable; urgency=low * Fix "Breaks gnome-settings-daemon media-keys plugin" by applying a patch in quodlibet's version of mmkeys (Closes: #644735)

    2011-07-28 - Javi Merino <cibervicho@gmail.com> sonata (1.6.2.1-4) unstable; urgency=low [ Michal Čihař ] * Adjust watch file to new upstream location. * Convert to dh_python2. [ Javi Merino ] * New maintainer. (Closes: #612910: RFA: sonata -- GTK+ client for the Music Player Daemon (MPD)) * Fix ""Fetching lyrics failed" even if there's a lyrics online" with a patch provided by Stefan Fleischmann <ck850@web.de> (Closes: #631375) * Bump standards to 3.9.2. * Change Conflicts with Breaks for python-mmkeys, as it is just a package split, as explained in Section 7.6 of the Debian Policy

    2010-06-03 - Michal Čihař <nijel@debian.org> sonata (1.6.2.1-3) unstable; urgency=low * Again recommend eggtrayicon because it provides more features (see: #560979). * Fixed crash when it is not possible to get list of albums (Closes: #572262). * Bump standards to 3.8.4.

    2010-01-03 - Michal Čihař <nijel@debian.org> sonata (1.6.2.1-2) unstable; urgency=low * Prefer gtk.StatusIcon over eggtrayicon (Closes: #560979). * Downgrade mmkeys to suggests as the functionality should be handled by Gtk in most cases. * Adjust deps to use << instead of <. * Convert to 3.0 (quilt) source format.

    2009-09-25 - Michal Čihař <nijel@debian.org> sonata (1.6.2.1-1) unstable; urgency=low * New upstream version. - Fixes lyricswiki support (Closes: #542366). - No need for ZSI as Sonata now does html scraping. * Do not depend unconditionally on elementtree, newer python is enough (LP: #377706). * Bump standards to 3.8.3. * Simplify debian/rules by using new dh support for distutils.

    2009-05-11 - Michal Čihař <nijel@debian.org> sonata (1.6.2-1) unstable; urgency=low * New upstream version (Closes: #528045).

    2009-04-06 - Michal Čihař <nijel@debian.org> sonata (1.6-1) unstable; urgency=low * New upstream version. - Fixes changing of cover art (Closes: #480758). - Fixes handling options without MPD connection (Closes: #503435). - Fixes typos in man page (Closes: #517503). * Build only for Python 2.5 or newer, upstream dropped support for older.

    2009-03-20 - Michal Čihař <nijel@debian.org> sonata (1.5.3-3) unstable; urgency=low * We don't need python 2.4 (Closes: #520513).

    Advertisement
    Advertisement